## libtecla 1.6.1

=== Makefile ===
default:
	./configure
	$(MAKE)

distclean:
	./configure --without-man-pages
	$(MAKE) $@

normal reentrant demos demos_r clean install_lib install_bin install_inc \
 install_man install:
	./configure
	$(MAKE) $@

=== debian/changelog ===
libtecla (1.6.1-5ubuntu1) saucy; urgency=low

  * Force a distclean instead of dh_auto_clean to avoid debhelper's
    make taget detection hitting an infinite loop on the LP buildds.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 19 Sep 2013 21:24:00 -0600

libtecla (1.6.1-5) unstable; urgency=low

  * debian/rules: Another patch provided by Petr Salinger
    <Petr.Salinger@seznam.cz> which hopefully finally
    Closes: #621887

 -- Andreas Tille <tille@debian.org>  Thu, 15 Dec 2011 09:05:24 +0100

libtecla (1.6.1-4) unstable; urgency=low

  * debian/patches/kfreebsd+hurd.patch:
    - Next try to fix FTBGS on kfreebsd
      Closes: #621887
    - Add "*-*-gnu*" as further case to configure.in to enable
      building on GNU/Hurd
      Closes: #651937

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 08:08:44 +0100

libtecla (1.6.1-3) unstable; urgency=low

  * Use autotools properly (and for simplicity move to short
    dh notation)
    (really) Closes: #621887

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2011 19:39:30 +0100

libtecla (1.6.1-2) unstable; urgency=low

  * debian/patches/kfreebsd.patch: Add kfreebsd to configure.in and
    run autoreconf -vfi afterwards.
    Closes: #621887
  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Added myself to uploaders
    - Fixed VCS fields
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2011 11:00:44 +0100

libtecla (1.6.1-1) unstable; urgency=low

  * Initial Release. (closes: #612625)

 -- Scott Christley <schristley@mac.com>  Tue, 08 Feb 2011 15:05:17 -0800

=== debian/control ===
Source: libtecla
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Scott Christley <schristley@mac.com>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, d-shlibs
Standards-Version: 3.9.2
Homepage: http://www.astro.caltech.edu/~mcs/tecla/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libtecla/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libtecla/trunk/

Package: libtecla1-dev
Section: libdevel
Architecture: any
Depends: libtecla1 (= ${binary:Version}), ${misc:Depends}
Provides: libtecla-dev
Conflicts: libtecla-dev
Description: interactive command line editing facilities (development)
 The tecla library provides UNIX and LINUX programs with interactive
 command line editing facilities, similar to those of the UNIX tcsh
 shell. In addition to simple command-line editing, it supports recall
 of previously entered command lines, TAB completion of file names or
 other tokens, and in-line wild-card expansion of filenames. The
 internal functions which perform file-name completion and wild-card
 expansion are also available externally for optional use by programs.
 .
 In addition, the library includes a path-searching module. This allows
 an application to provide completion and lookup of files located in
 UNIX style paths. Although not built into the line editor by default,
 it can easily be called from custom tab-completion callback
 functions. This was originally conceived for completing the names of
 executables and providing a way to look up their locations in the
 user's PATH environment variable, but it can easily be asked to look
 up and complete other types of files in any list of directories.
 .
 Note that special care has been taken to allow the use of this library
 in threaded programs. The option to enable this is discussed in the
 Makefile, and specific discussions of thread safety are presented in
 the included man pages.
 .
 This package contains the development files and documentation for
 developing applications using the tecla library.

Package: libtecla1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive command line editing facilities
 The tecla library provides UNIX and LINUX programs with interactive
 command line editing facilities, similar to those of the UNIX tcsh
 shell. In addition to simple command-line editing, it supports recall
 of previously entered command lines, TAB completion of file names or
 other tokens, and in-line wild-card expansion of filenames. The
 internal functions which perform file-name completion and wild-card
 expansion are also available externally for optional use by programs.
 .
 In addition, the library includes a path-searching module. This allows
 an application to provide completion and lookup of files located in
 UNIX style paths. Although not built into the line editor by default,
 it can easily be called from custom tab-completion callback
 functions. This was originally conceived for completing the names of
 executables and providing a way to look up their locations in the
 user's PATH environment variable, but it can easily be asked to look
 up and complete other types of files in any list of directories.
 .
 Note that special care has been taken to allow the use of this library
 in threaded programs. The option to enable this is discussed in the
 Makefile, and specific discussions of thread safety are presented in
 the included man pages.
 .
 This package contains the runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for tecla
export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
name := $(pkg)
version=$(shell dpkg-parsechangelog | awk '/^Version/ { print $2 }' | cut -d- -f1 )

override_dh_auto_clean:
	dh_autotools-dev_updateconfig
	make distclean

override_dh_install:
	dh_install
	# Call d-shlibmove to comply with library packaging guide
	d-devlibdeps debian/$(pkg)1-dev.substvars \
	             debian/tmp/usr/lib/$(name).so
	d-shlibmove --commit \
		    --movedev "debian/tmp/usr/include/$(name).h" usr/include/ \
		    debian/tmp/usr/lib/$(name).so

	# Remove unneeded *.la files according to
	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
	# Release goal: Getting rid of unneeded *.la / emptying dependency_libs
	#find debian -name "*.la" -delete

## libtecla 1.6.2

=== debian/changelog ===
libtecla (1.6.2-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * use dh $@ --with autotools_dev,autoreconf so that config.sub and
    config.guess get updated in this non-automake using package. Fixes build
    on arm64.
    Closes: #762351

  [ Andreas Tille ]
  * d/control: Build-Depends: autotools-dev
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2014 12:26:57 +0200

libtecla (1.6.2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 9
  * use dh_autoreconf to simplify kfreebsd+hurd.patch
  * debian/patches/remove_makefile_to_enable_smooth_regeneration.patch:
    Avoid recursive make call by simply removing redundant Makefile
    Closes: #760790
  * Fix d-shlibs call and use unversioned devel package
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 08 Sep 2014 09:18:09 +0200

## libtecla 1.6.3

=== debian/changelog ===
libtecla (1.6.3-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints.
    + libtecla-dev, libtecla1: Add Multi-Arch: same.
  * Add d-shlibmove override
  * Mark some files not-installed (and work around files that are copied
    and not moved - no idea why)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 09:23:41 +0200

libtecla (1.6.3-2.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Do not strip during make install. (Closes: #901467)

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 13:14:22 +0200

libtecla (1.6.3-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.0.1 (no changes needed)
  * debhelper 10
  * Enable gl_get_line() to detect EOF (Thanks for the patch to Guido
    Berhoerster <guido+debian.org@berhoerster.name>)
    Closes: #872865
  * hardening

 -- Andreas Tille <tille@debian.org>  Tue, 22 Aug 2017 21:42:28 +0200

libtecla (1.6.3-1) unstable; urgency=medium

  * New upstream version
    Closes: #791525
  * Fix some spelling issues in manpages

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jul 2015 14:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: libtecla
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Scott Christley <schristley@mac.com>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Scott Christley <schristley@mac.com>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, d-shlibs
-Standards-Version: 3.9.2
-Homepage: http://www.astro.caltech.edu/~mcs/tecla/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libtecla/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libtecla/trunk/
+Build-Depends: debhelper-compat (= 13),
+               d-shlibs
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/libtecla
+Vcs-Git: https://salsa.debian.org/med-team/libtecla.git
+Homepage: https://www.astro.caltech.edu/~mcs/tecla/
+Rules-Requires-Root: no
 
-Package: libtecla1-dev
+Package: libtecla-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libtecla1 (= ${binary:Version}), ${misc:Depends}
-Provides: libtecla-dev
-Conflicts: libtecla-dev
+Depends: libtecla1 (= ${binary:Version}),
+         ${misc:Depends}
+Multi-Arch: same
 Description: interactive command line editing facilities (development)
  The tecla library provides UNIX and LINUX programs with interactive
  command line editing facilities, similar to those of the UNIX tcsh
@@ -45,9 +45,11 @@
  developing applications using the tecla library.
 
 Package: libtecla1
+Architecture: any
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Multi-Arch: same
 Description: interactive command line editing facilities
  The tecla library provides UNIX and LINUX programs with interactive
  command line editing facilities, similar to those of the UNIX tcsh

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for tecla
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export STRIPPROG=true

%:
	dh $@ --no-parallel

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --override s/libncurses6-dev/libncurses-dev/ \
		    --exclude-la \
		    --movedev "debian/tmp/usr/include/*.h" usr/include/ \
		    debian/tmp/usr/lib/*/*.so

=== debian/watch ===
version=4
https://www.astro.caltech.edu/~mcs/tecla/ .*/libtecla-(.+)\.tar\.gz
